import { Construct } from "constructs";
import * as atlas from "../../index";
import { AtlasServerlessBasicProps } from "../common/props";
/**
 * @description
 * @export
 * @class AtlasBasic
 * @extends {Construct}
 */
export declare class AtlasServerlessBasic extends Construct {
    /**
     * @description
     * @type {project.CfnProject}
     * @memberof AtlasServerlessBasic
     */
    readonly mProject: atlas.CfnProject;
    /**
     * @description
     * @type {atlas.CfnCluster}
     * @memberof AtlasServerlessBasic
     */
    readonly mserverless: atlas.CfnServerlessInstance;
    /**
     * @description
     * @type {user.CfnDatabaseUser}
     * @memberof AtlasServerlessBasic
     */
    readonly mDBUser: atlas.CfnDatabaseUser;
    /**
     * @description
     * @type {ipAccessList.CfnProjectIpAccessList}
     * @memberof AtlasServerlessBasic
     */
    readonly ipAccessList: atlas.CfnProjectIpAccessList;
    /**
     * Creates an instance of AtlasServerlessBasic.
     * @param {Construct} scope
     * @param {string} id
     * @param {AtlasServerlessBasicProps} props
     * @memberof AtlasServerlessBasic
     */
    constructor(scope: Construct, id: string, props: AtlasServerlessBasicProps);
}
